# $Revision: 1.7 $, $Date: 2012/02/07 22:00:32 $
#
# Conditional build:
%bcond_without	cups		# CUPS support
%bcond_without	static_libs	# don't build static libraries
#
Summary:	The FOX 1.6 C++ GUI Toolkit
Summary(pl.UTF-8):	FOX 1.6 - toolkit graficzny w C++
Name:		fox16
Version:	1.6.44
Release:	6
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	http://fox-toolkit.org/ftp/fox-%{version}.tar.gz
# Source0-md5:	f3c66bbe87b65de3a3fb480278bcfffd
Patch0:		%{name}-opt.patch
Patch1:		%{name}-link.patch
Patch2:		%{name}-Makefile.patch
URL:		http://www.fox-toolkit.org/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
BuildRequires:	bzip2-devel >= 1.0.2
%{?with_cups:BuildRequires:	cups-devel}
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	libjpeg-devel >= 6b
BuildRequires:	libpng-devel >= 1.2.5
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel >= 3.5.7
BuildRequires:	libtool >= 2:1.5
BuildRequires:	xorg-lib-libXcursor-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXft-devel
BuildRequires:	xorg-lib-libXrandr-devel
BuildRequires:	zlib-devel >= 1.1.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FOX is a C++-Based Library for Graphical User Interface Development
FOX supports modern GUI features, such as Drag-and-Drop, Tooltips, Tab
Books, Tree Lists, Icons, Multiple-Document Interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for 3D
graphics. Subclassing of basic FOX widgets allows for easy extension
beyond the built-in widgets by application writers.

This package contains FOX 1.6.x series.

%description -l pl.UTF-8
FOX jest biblioteką bazującą na C++ do projektowania graficznych
interfejsów użytkownika. Obsługuje wiele właściwości współczesnych
GUI: Drag-and-Drop, listy, ikony, interfejsy wielodokumentowe (MDI),
liczniki, przetwarzanie w tle, automatyczne uaktualnianie GUI, obsługę
grafiki OpenGL. Bazowe klasy widgetów FOX pozwalają na łatwe
rozszerzanie.

Ten pakiet zawiera FOX z serii 1.6.x.

%package progs
Summary:	FOX 1.6 example applications
Summary(pl.UTF-8):	Przykłady aplikacji wykorzystujących FOX 1.6
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Obsoletes:	fox-example-apps
Obsoletes:	fox-progs < 1.7
Conflicts:	fox-progs >= 1.7

%description progs
Editor and file browser, written with FOX 1.6.

%description progs -l pl.UTF-8
Edytor i przeglądarka plików napisane z użyciem toolkitu FOX 1.6.

%package devel
Summary:	Header files for FOX 1.6 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki FOX 1.6
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	OpenGL-GLU-devel
Requires:	bzip2-devel >= 1.0.2
Requires:	libjpeg-devel >= 6b
Requires:	libpng-devel >= 1.2.5
Requires:	libstdc++-devel
Requires:	libtiff-devel >= 3.5.7
Requires:	xorg-lib-libXcursor-devel
Requires:	xorg-lib-libXext-devel
Requires:	xorg-lib-libXft-devel
Requires:	xorg-lib-libXrandr-devel
Requires:	zlib-devel >= 1.1.4

%description devel
Header files for FOX 1.6 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki FOX 1.6.

%package static
Summary:	FOX 1.6 static libraries
Summary(pl.UTF-8):	Biblioteki statyczne FOX 1.6
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
FOX 1.6 static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne FOX 1.6.

%package doc
Summary:	Development documentation for FOX 1.6 library
Summary(pl.UTF-8):	Dokumentacja programisty do biblioteki FOX 1.6
Group:		X11/Development/Libraries

%description doc
Development documentation for FOX 1.6 library.

%description doc -l pl.UTF-8
Dokumentacja programisty do biblioteki FOX 1.6.

%package examples
Summary:	FOX 1.6 - example programs
Summary(pl.UTF-8):	FOX 1.6 - programy przykładowe
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description examples
FOX 1.6 - example programs.

%description examples -l pl.UTF-8
FOX 1.6 - przykładowe programy.

%prep
%setup -q -n fox-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{?with_cups:--enable-cups} \
	%{?debug:--enable-debug}%{!?debug:--enable-release} \
	--enable-static%{!?with_static_libs:=no} \
	--with-opengl \
	--with-xft \
	--with-shape \
	--with-xshm \
	--with-xcursor \
	--with-xrandr \
	--with-xim

%{__make}

%{__make} -C doc docs

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir},%{_examplesdir}/%{name}-%{version}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -C tests clean
cp -a tests/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

mv -v $RPM_BUILD_ROOT%{_bindir}/fox-config $RPM_BUILD_ROOT%{_bindir}/fox16-config
mv -v $RPM_BUILD_ROOT%{_bindir}/reswrap $RPM_BUILD_ROOT%{_bindir}/reswrap16
mv -v $RPM_BUILD_ROOT%{_mandir}/man1/reswrap.1 $RPM_BUILD_ROOT%{_mandir}/man1/reswrap16.1
mv -v $RPM_BUILD_ROOT%{_pkgconfigdir}/fox.pc $RPM_BUILD_ROOT%{_pkgconfigdir}/fox-1.6.pc

%{__rm} doc/Makefile* doc/*/Makefile*

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS LICENSE_ADDENDUM README
%attr(755,root,root) %{_libdir}/libCHART-1.6.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libCHART-1.6.so.0
%attr(755,root,root) %{_libdir}/libFOX-1.6.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libFOX-1.6.so.0

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/Adie.stx
%attr(755,root,root) %{_bindir}/PathFinder
%attr(755,root,root) %{_bindir}/adie
%attr(755,root,root) %{_bindir}/calculator
%attr(755,root,root) %{_bindir}/shutterbug
%{_mandir}/man1/PathFinder.1*
%{_mandir}/man1/adie.1*
%{_mandir}/man1/calculator.1*
%{_mandir}/man1/shutterbug.1*

%files devel
%defattr(644,root,root,755)
%doc ADDITIONS TRACING
%attr(755,root,root) %{_bindir}/fox16-config
%attr(755,root,root) %{_bindir}/reswrap16
%attr(755,root,root) %{_libdir}/libCHART-1.6.so
%attr(755,root,root) %{_libdir}/libFOX-1.6.so
%{_libdir}/libCHART-1.6.la
%{_libdir}/libFOX-1.6.la
%{_includedir}/fox-1.6
%{_pkgconfigdir}/fox-1.6.pc
%{_mandir}/man1/reswrap16.1*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libCHART-1.6.a
%{_libdir}/libFOX-1.6.a
%endif

%files doc
%defattr(644,root,root,755)
%doc doc/*

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fox16.spec,v $
Revision 1.7  2012/02/07 22:00:32  arekm
- release 6

Revision 1.6  2012/01/13 14:48:49  arekm
- release 5

Revision 1.5  2011/12/20 19:39:01  arekm
- release 4

Revision 1.4  2011/10/02 12:26:12  arekm
- release 3

Revision 1.3  2011/10/02 11:00:39  arekm
- release 2

Revision 1.2  2011/05/13 14:17:20  qboosh
- updated to 1.6.44
- updated opt,Makefile patches

Revision 1.1  2011/05/12 18:41:06  qboosh
- latest stable fox

Revision 1.104  2008/08/17 10:22:02  twittner
- enable more features via ./configure

Revision 1.103  2008/08/17 09:34:44  twittner
- up to 1.6.34

Revision 1.102  2008/03/23 21:10:21  qboosh
- ghost soname symlinks

Revision 1.101  2008-03-23 14:48:30  twittner
- up to 1.6.32

Revision 1.100  2007-10-12 23:25:14  twittner
- up to 1.6.30

Revision 1.99  2007/02/18 13:27:41  qboosh
- updated to 1.6.21

Revision 1.98  2007/02/13 07:16:44  glen
- tabs in preamble

Revision 1.97  2007/02/12 00:48:49  baggins
- converted to UTF-8

Revision 1.96  2006/12/30 21:51:56  qboosh
- updated to 1.6.20

Revision 1.95  2006/11/30 20:24:00  twittner
- rel. 2 - rebuild to aquire P: libtool(*.la)

Revision 1.94  2006/11/12 19:32:44  twittner
- rel. 1

Revision 1.93  2006/11/12 15:18:20  twittner
- up 1.6.9
- rel 0.1 (builds, not tested)

Revision 1.92  2006/06/30 18:37:12  qboosh
- added pkgconfig file

Revision 1.91  2006/06/29 19:13:01  mkierus
- up to 1.6.6

Revision 1.90  2006/05/18 09:20:56  witekfl
- added examples subpackage
- rel 3

Revision 1.89  2006/05/17 20:57:30  witekfl
- html docs generated by doxygen
- rel 2

Revision 1.88  2006/04/23 15:53:00  twittner
- up to 1.6.4 (bugfixes)

Revision 1.87  2006/04/09 07:05:28  twittner
- up to 1.6.3

Revision 1.86  2006/04/05 18:40:27  twittner
- up to 1.6.2

Revision 1.85  2006/04/02 18:18:33  qboosh
- switched to modular xorg, enabled xft
- release 2

Revision 1.84  2006/03/21 21:02:37  qboosh
- bcond header, dropped non-versioned OpenGL dep

Revision 1.83  2006/03/21 20:28:19  twittner
- up to 1.6.0 stable (builds, not tested)
- added static_libs bcond

Revision 1.82  2005/10/18 22:14:53  qboosh
- updated to 1.6.0, updated link patch

Revision 1.81  2005/08/20 21:47:39  twittner
- up to 1.4.17, manpages moved to correct place (from -devel to -progs
  subpkg.)

Revision 1.80  2005/07/22 12:41:31  mkierus
- updated to 1.4.16

Revision 1.79  2005/05/03 00:35:47  qboosh
- up to 1.4.13

Revision 1.78  2005/03/30 14:23:09  mkierus
- updated to 1.4.10

Revision 1.77  2005/02/23 16:28:33  mkierus
- up to 1.4.6

Revision 1.76  2005/02/16 12:35:37  mkierus
- updated to 1.4.5

Revision 1.75  2005/01/09 21:30:09  qboosh
- updated to 1.2.13; BR+R: xcursor-devel

Revision 1.74  2004/12/10 06:45:53  ankry
- BR: bzip2-devel, apropriate R: in devel subpackage

Revision 1.73  2004/10/27 21:34:17  qboosh
- updated to 1.2.11

Revision 1.72  2004/08/31 06:40:52  snurf
- typos / formatting / etc.

Revision 1.71  2004/08/17 11:46:36  ankry
- rel. 2 to rebuild

Revision 1.70  2004/08/13 09:39:31  paszczus
- updated to 1.2.9

Revision 1.69  2004/06/28 21:32:13  kali
- corrected link, now indicates proper file
- rel 3, STBR

Revision 1.68  2004/06/17 13:07:26  qboosh
- use standard includes location, apps had enough time to switch
- release 2

Revision 1.67  2004/06/16 18:06:03  paszczus
- updated to 1.2.4
- added URL
- updated fox-link.patch

Revision 1.66  2004/02/19 23:07:34  qboosh
- updated to 1.1.46, separated devel docs (they are huge now)

Revision 1.65  2004/01/29 07:17:31  qboosh
- updated to 1.1.45

Revision 1.64  2004/01/20 00:17:02  undefine
- fix LDFLAGS

Revision 1.63  2004/01/19 10:47:48  trojan
- updated to 1.1.44

Revision 1.62  2004/01/15 21:24:47  qboosh
- updated to 1.1.43, removed obsolete amfix patch

Revision 1.61  2003/11/21 12:33:03  trojan
- updated to 1.1.42

Revision 1.60  2003/11/04 22:07:24  qboosh
- updated to 1.1.41

Revision 1.59  2003/10/24 07:40:34  qboosh
- updated to 1.1.40

Revision 1.58  2003/10/16 11:44:54  freetz
- 1.1.38

Revision 1.57  2003/10/06 20:38:39  qboosh
- up to 1.1.37, added link patch to link libCHART with libFOX

Revision 1.56  2003/09/02 22:34:40  qboosh
- 1.1.35, added amfix patch

Revision 1.55  2003/08/06 21:26:23  mkierus
- added new sample application - shutterbug to fox-progs

Revision 1.54  2003/08/06 18:46:17  mkierus
- updated to 1.1.33

Revision 1.53  2003/07/23 16:39:54  freetz
- up to 1.1.32

Revision 1.52  2003/07/14 11:43:53  freetz
- updated to version 1.1.31

Revision 1.51  2003/07/08 18:26:39  blues
- "f" and some "g" letters of small fixes inpired by kloczek

Revision 1.50  2003/05/26 16:24:59  malekith
- massive attack: adding Source-md5

Revision 1.49  2003/05/25 05:47:31  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.48  2003/04/30 09:44:30  misi3k
- updated to 1.1.26

Revision 1.47  2003/02/26 18:02:59  areq
- updated to 1.0.34

Revision 1.46  2003/02/18 22:33:39  qboosh
- 1.0.31

Revision 1.45  2003/01/28 22:00:01  qboosh
- updated to 1.0.30
- added opt patch to avoid overriding optflags
- removed -frtti - it's enabled by default

Revision 1.44  2003/01/18 22:48:33  juandon
- removed two lines with define

Revision 1.43  2002/12/06 20:40:12  mkierus
updated to 1.0.28 - bug fix

Revision 1.42  2002/11/25 14:13:02  ankry
- massive attack: no need for 755 for *.la

Revision 1.41  2002/11/06 13:13:29  mkierus
- updated to 1.0.26 (bug fix)

Revision 1.40  2002/10/09 13:14:22  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.39  2002/08/24 23:26:26  mkierus
-updated to 1.0.21 (bugfix release)

Revision 1.38  2002/08/11 16:29:46  mkierus
-update to 1.0.18 (bugfix release)

Revision 1.37  2002/07/12 16:53:19  kloczek
- use new %doc.

Revision 1.36  2002/07/04 20:57:57  mkierus
- updated to 1.0.14 (bux fix)

Revision 1.35  2002/05/21 23:13:02  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.34  2002/05/15 14:37:14  mkierus
- updated to 1.0.11

Revision 1.33  2002/05/01 16:07:56  pioklo
- up to stable 1.0.10 version,STBR

Revision 1.32  2002/04/30 09:42:43  mkierus
- updated to 1.0.9

Revision 1.31  2002/04/25 16:19:22  arturs
fixed a small typo

Revision 1.30  2002/03/24 23:28:16  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.29  2002/03/20 21:51:30  mkierus
- updated to 1.0.3 (bug fix)

Revision 1.28  2002/03/01 12:56:38  mkierus
- updated to 1.0.0 (first stable release)

Revision 1.27  2002/02/22 23:28:54  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.26  2002/02/03 20:44:47  ankry
- adding es/pt/pt_BR Group translations

Revision 1.25  2002/01/18 02:12:58  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.24  2002/01/11 11:25:33  mkierus
- optional style buffer was added
- style table support was added
- new API's added to manipulate contents of the style buffer
- minor bugfixes

Revision 1.23  2002/01/03 16:21:27  mkierus
- moving reswrap ( program to wrap icon resources into C code ) and man for it to devel pkg

Revision 1.22  2002/01/03 14:59:26  mkierus
- updated to 0.99.188
- fixed a few warnings, and one uninitialized memory read in FXTable
- completed FXSlider tickmark drawing
- warnings in fxpcxio.cpp fixed
- same minor bugfixes

Revision 1.21  2001/12/20 15:14:19  mkierus
- updated to 0.99.187
- the new class FXRex for regular expressions is now finished.
- added documentation to FXRex class.
- bullet-proofed FXString::left(), FXString::right(), FXString::mid(), and FXString::trunc() against bad arguments.
- fixed bug in FXTable drawing loops; references were made outside the cell array.
- fixed potential bug in ICO loader.

Revision 1.20  2001/12/17 21:02:22  mkierus
- updated to 0.99.185
- new class FXRex for regular expressions
- allows FOX GUI's to start in non-GUI mode
- more API's added

Revision 1.19  2001/11/28 17:13:44  mkierus
- updated to 0.99.181

Revision 1.18  2001/11/14 23:30:12  mkierus
 updated to 0.99.179

Revision 1.17  2001/10/22 08:58:45  mkierus
- updated to 0.99.177

Revision 1.16  2001/10/18 15:53:57  mkierus
- updated to 0.99.176

Revision 1.15  2001/10/03 19:05:42  kloczek
- add "rm -f missing" on top %build.

Revision 1.14  2001/10/03 16:44:21  filon
- changed req for main subpkg in static subpkg to devel
- release 2

Revision 1.13  2001/09/28 10:17:41  mkierus
- updated to 0.99.175

Revision 1.12  2001/09/26 10:20:20  qboosh
- BuildRequires: autoconf, automake, libtool, libstdc++-devel
- adapterized, added pl translations

Revision 1.11  2001/09/01 17:24:01  filon
- added rebuilding configuration files

Revision 1.10  2001/07/12 22:09:38  mkierus
- updated to 0.99.174

Revision 1.9  2001/06/27 09:16:05  kloczek
- updated to 0.99.173,
- rename exaple-apps subpackage to progs,
- added man pages level 1 to progs subpackage.

Revision 1.8  2001/05/15 11:23:45  mkierus
- updated to 0.99.172

Revision 1.7  2001/05/02 21:51:21  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.6  2001/05/02 12:51:16  mkierus
- updated to 0.99.169

Revision 1.5  2001/04/11 22:06:13  kloczek
- final cleanup (many changes).

Revision 1.4  2001/04/09 09:52:59  mkierus
- updated to 0.99.167

Revision 1.3  2001/04/07 10:35:02  jajcus
- _noautoreqdep   libGL.so.1 libGLU.so.1

Revision 1.2  2001/03/15 11:40:07  mkierus
- updated to 0.99.164

Revision 1.1  2001/03/02 16:20:32  mkierus
- spec based on version included in tarball,
- rewrited in PLD style.
